import Foundation

extension AppState {
    func json() -> String {
        let encoder = JSONEncoder()
        guard let data = try? encoder.encode(self) else { return "AppState encoding error" }
        return String(data: data, encoding: .utf8) ?? "AppState encoding error"
    }
}
